org.apache.calcite.avatica.util

## Class AbstractCursor.BinaryAccessor

- java.lang.Object
- - org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl
  - - org.apache.calcite.avatica.util.AbstractCursor.BinaryAccessor

All Implemented Interfaces:
  Cursor.Accessor

Enclosing class:
  AbstractCursor

    private static class AbstractCursor.BinaryAccessor
    extends AbstractCursor.AccessorImpl

Accessor that assumes that the underlying value is an array of `ByteString` values; corresponds to `Types.BINARY` and `Types.VARBINARY`.

### Field Summary

### Fields inherited from class org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl

`getter`

### Constructor Summary

Constructors
Constructor and Description
`BinaryAccessor(AbstractCursor.Getter getter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `getBytes()`
`String` `getString()`

### Methods inherited from class org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl

`getArray, getAsciiStream, getBigDecimal, getBigDecimal, getBinaryStream, getBlob, getBoolean, getByte, getCharacterStream, getClob, getDate, getDouble, getFloat, getInt, getLong, getNCharacterStream, getNClob, getNString, getObject, getObject, getObject, getRef, getShort, getSQLXML, getStruct, getTime, getTimestamp, getUnicodeStream, getURL, wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BinaryAccessor

    public BinaryAccessor(AbstractCursor.Getter getter)

### Method Detail

#### getBytes

    public byte[] getBytes()
                    throws SQLException

Specified by:
  `getBytes` in interface `Cursor.Accessor`
Overrides:
  `getBytes` in class `AbstractCursor.AccessorImpl`
Throws:
  `SQLException`

#### getString

    public String getString()
                     throws SQLException

Specified by:
  `getString` in interface `Cursor.Accessor`
Overrides:
  `getString` in class `AbstractCursor.AccessorImpl`
Throws:
  `SQLException`